#
# spec file for package octave-forge-dataframe
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  dataframe
Name:           octave-forge-%{octpkg}
Version:        1.2.0
Release:        1.22
Summary:        Data manipulation toolbox similar to R data.frame
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.4.0

%description
Data manipulation toolbox similar to R data.frame.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Thu Sep 28 2017 badshah400@gmail.com
- Update to version 1.2.0:
  * Most of the mapping functions are
    now supported: abs, acosh, acos, all, and, angle, any, arg,...
    They are simple proxies to the corresponding Octave functions.
  * The display function now supports 3.8, 4.0, 4.2, and upcoming
    4.4 Octave major release.
  * if some specific output format is requested, it must come
    first, e.g. x.dataframe([1:10]) instead of x([1:10].dataframe.
  * a longstanding bug on default separator was corrected. If more
    than one are used, they must be grouped into a cellstr instead
    of a str.
  * a dataframe may now contain 'pages' corresponding to a third
    dimension. The inner mechanism uses a "copy-on-write" scheme
    and avoid duplicating content repeated over many pages.
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.1.0
